import {
    Label,
    MySprite, ShapeRect
  
  } from './Unit';

export class Exercises {
    /**练习题背景 */
    bg: ShapeRect = null;

    /**单词背景 */
    wordBg: MySprite = null;

    /**小黄圈内单词组合 */
    letterCombinations: MySprite = null;

    /**答案顺序标签 */
    answerIndexLabel: Label = null;

    answerBg : MySprite = null;

    answerShowed = false;

    /**单词图片 */
    wordPic : MySprite = null;

    /**单词拆分背景 */
    wordSplitPic:ShapeRect = null;

    /**单词发音 */
    wordAudioKey;

    /**字母（组合）发音 */
    letterAudioKey;

    /**单词拆分的字母（组合） */
    letterArr = [];

    showed = false;

    setShow(){
      for(let i = 0; i < this.letterArr.length; ++ i){
        this.letterArr[i].alpha = 1;
        this.letterArr[i].fontColor = '#C8161E';
      }

      this.showed = true;
    }
}